Add missing import of "$ONOS_ROOT/tools/build/envDefaults"
diff --git a/tools/test/bin/onos b/tools/test/bin/onos
index 76b5c15..f85dcf3 100755
--- a/tools/test/bin/onos
+++ b/tools/test/bin/onos
@@ -3,6 +3,9 @@
 # ONOS remote command-line client.
 #-------------------------------------------------------------------------------
 
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
 [ "$1" = "-w" ] && shift && onos-wait-for-start $1
 
 [ -n "$1" ] && OCI=$1 && shift
diff --git a/tools/test/bin/onos-gui b/tools/test/bin/onos-gui
index f782751..6729c4b 100755
--- a/tools/test/bin/onos-gui
+++ b/tools/test/bin/onos-gui
@@ -3,6 +3,9 @@
 # Launches ONOS GUI on the specified node.
 #-------------------------------------------------------------------------------
 
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
 host=${1:-$OCI}
 host=${host:-localhost}